Skip to content

wxWidgets 3.2 Packages and Repositories


Preface


This page is for the stable release, wx3.2.1. The CodeLite packages for Linux now use wxWidgets >=3.1. As wx3.2 is newly released, few current (September 2022) distro versions will supply it. I've therefore built 3.2.1 packages for the commonest ones.

Fetching CodeLite keys


The packages are signed with the CodeLite public key so, if you haven't done so before, you should tell apt or rpm about this by doing as superuser (su or sudo depending on your distro):

apt-key adv --fetch-keys https://repos.codelite.org/CodeLite.asc

or

rpm --import https://repos.codelite.org/CodeLite.asc

Tip

Since ubuntu 21.10, using apt-key displays the following message:

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8))
Don't panic! it's only a warning. apt-key still works.

Ubuntu and debian


If you use a debian-based distro there are the following wxWidgets repositories available:

Repository Available Versions Component
debian https://repos.codelite.org/wx3.2/debian/ bullseye libs
ubuntu https://repos.codelite.org/wx3.2/ubuntu/ focal jammy universe

The repositories also contain wx3.1.0 to wx3.2.0 builds (including some i386 ones) for debian stretch and buster, and ubuntu trusty, wily to hirsute.

The ubuntu ones should also work on other *buntus of the same version, and on derivatives e.g. Mint.

Now let apt know that the repository exits. If you use an apt front-end e.g. synaptic, tell it to Add a repository, using as data the appropriate entry in the table above. If you do things by hand, add the appropriate url to /etc/apt/sources.list. Become superuser and either use a text editor to edit /etc/apt/sources.list, adding a line similar to:

deb https://repos.codelite.org/wx3.2/debian/ bullseye libs

or, in a terminal, do something like:

sudo apt-add-repository 'deb https://repos.codelite.org/wx3.2/ubuntu/ jammy universe'

The line to add is different for different distros/versions; choose the appropriate one:

Distro/release Line to append
debian bullseye deb https://repos.codelite.org/wx3.2/debian/ bullseye libs
ubuntu focal deb https://repos.codelite.org/wx3.2/ubuntu/ focal universe
ubuntu jammy deb https://repos.codelite.org/wx3.2/ubuntu/ jammy universe

Tip

If you prefer, you can instead enter a specific version e.g. https://repos.codelite.org/wx3.2.1/debian

You then need to update the repositories. In synaptic, click the Reload button. If you're doing things by hand, do:

sudo apt-get update

Synaptic users can then select and install as usual. By hand you can do:

apt-get install libwxbase3.2-0-unofficial \
                libwxbase3.2unofficial-dev \
                libwxgtk3.2-0-unofficial \
                libwxgtk3.2unofficial-dev \
                wx3.2-headers \
                wx-common \
                libwxgtk-media3.2-0-unofficial \
                libwxgtk-media3.2unofficial-dev \
                libwxgtk-webview3.2-0-unofficial \ 
                libwxgtk-webview3.2unofficial-dev \ 
                libwxgtk-webview3.2-0-unofficial-dbg \ 
                libwxbase3.2-0-unofficial-dbg \
                libwxgtk3.2-0-unofficial-dbg \
                libwxgtk-media3.2-0-unofficial-dbg \
                wx3.2-i18n \
                wx3.2-examples

The first 6 of the debs are required; the others optional (and of decreasing importance).

wx-common and wx3.2-i18n will conflict with the distro's wx2.8 equivalents. That is unlikely to matter too much; but wx-common contains wxrc so, if you use this, be aware that there may be differences after upgrading.

Tip

Building some of the samples provided by the wx3.2-examples package may fail because of failure to detect GTK+ files. If so, try this compilation line:

LDFLAGS=$(pkg-config --libs gtk+-3.0) CXXFLAGS=$(pkg-config --cflags gtk+-3.0) make -j$(nproc)
If all else fails, you might need to create symlinks.

Fedora and openSUSE


There are currently rpms available for fedora 36 and openSUSE 15.4.

Distro Release x86_64
fedora 36 wxBase31 wxBase32-debuginfo wxGTK31 wxGTK32-debuginfo wxGTK32-debugsource wxGTK32-devel wxGTK32-devel-debuginfo wxGTK32-gl wxGTK32-gl-debuginfo wxGTK32-media wxGTK32-media-debuginfo
openSUSE 15.4 libwx_baseu_net libwx_baseu libwx_baseu_xml libwx_gtk3u_adv libwx_gtk3u_aui libwx_gtk3u_core libwx_gtk3u_gl libwx_gtk3u_html libwx_gtk3u_media libwx_gtk3u_propgrid libwx_gtk3u_qa libwx_gtk3u_ribbon libwx_gtk3u_richtext libwx_gtk3u_stc libwx_gtk3u_xrc wxWidgets-3_2-devel

There are also source rpms for Fedora and openSUSE. The fedora srpm should also build on CentOS 8.

Either download the required rpms and install them as usual, or download and install in one step; e.g.

rpm -Uvh https://repos.codelite.org/wx3.2.1/wx3.2-packages/suse/wxWidgets-3_2-3.2.1-0.src.rpm

Note

Some of these rpms may conflict with the wx2.8 devel ones.